<?php
// Добавляем очередь рассылок
run_query("CREATE TABLE IF NOT EXISTS " . $config["table_prefix"] . "send_queue (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `user_id` int(11) NOT NULL,
    `form_id` int(11) NOT NULL,
    `filter` longtext NOT NULL,
    `scheduled_time` datetime NOT NULL,
    PRIMARY KEY (`id`)
  )");
// Удаляем старые задания по формированию
run_query("DELETE FROM `" . $config["table_prefix"] . "cron` WHERE `command` LIKE 'form_mail_template()%' OR `command` LIKE 'form_sms_template()%'");
// Добавляем задание крон "Очередь рассылок"
run_query("INSERT INTO `" . $config["table_prefix"] . "cron` (`description`, `period`, `command`, `thread_name`) VALUES ('Отправка рассылок', '* * * * *', 'send_template();echo ''Done'';', 'sending')");
// Корректируем потоки
run_query("UPDATE `" . $config["table_prefix"] . "cron` SET `thread_name`='sending'    WHERE `thread_name`='send_mails'");
run_query("UPDATE `" . $config["table_prefix"] . "cron` SET `thread_name`='send_mails' WHERE `command` LIKE 'send_all_mail()%'");
run_query("UPDATE `" . $config["table_prefix"] . "cron` SET `thread_name`='send_sms'   WHERE `command` LIKE 'send_all_sms()%'");
